QuickHashIntHash::set
QuickHashStringIntHash
QuickHashIntHash
PHP Manual

# QuickHashIntHash::update

(PECL quickhash >= Unknown)

QuickHashIntHash::update — Met à jour une entrée dans le hash

### Description

public bool QuickHashIntHash::update ( int `$key` , int `$value` )

Cette méthode met à jour une entrée et retourne des informations sur cette mise à jour. S'il y a des clés dupliquées, seul le premier élément trouvé sera mis à jour. Utilisez QuickHashIntHash::CHECK_FOR_DUPES lors de la création du hash pour éviter les clés dupliquées.

### Liste de paramètres

`key`

  La clé de l'entrée à mettre à jour.

`value`

  La nouvelle valeur.

### Valeurs de retour

`TRUE` si l'entrée est trouvée et mise à jour et `FALSE` si l'entrée n'a pas été trouvée.

### Exemples

Exemple #1 Exemple QuickHashIntHash::update()

`<?php
$hash = new QuickHashIntHash( 1024 );
var_dump( $hash->add( 141421, 173205 ) );
var_dump( $hash->update( 141421, 223606 ) );
var_dump( $hash->get( 141421 ) );
?>`

L'exemple ci-dessus va afficher quelque chose de similaire à :

    bool(true)
    bool(true)
    int(223606)

QuickHashIntHash::set
QuickHashStringIntHash
QuickHashIntHash
PHP Manual